Beta

List Goals

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/goals

Lists Goals you can access for a Business, a Room (room_id) or the whole Workspace. Read-only.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Query Parameters

business_id?string
Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
room_id?string
Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$
status?string
Value in"active""completed""canceled"
sort?string

due: soonest, none last. updated: newest.

Value in"created""due""updated"
query?string

Title contains this text.

Length1 <= length <= 200
due_from?string

Due on or after (ISO 8601).

Match^\d{4}-\d{2}-\d{2}([T ][0-9:.]+(Z|[+-]\d{2}:?\d{2})?)?$
due_to?string

Due before (ISO 8601).

Match^\d{4}-\d{2}-\d{2}([T ][0-9:.]+(Z|[+-]\d{2}:?\d{2})?)?$
total?boolean

Add a count (null if too many).

after?string
limit?integer
Range1 <= value <= 100
Default20

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
data*array<>
has_more*smb_v0_operations_create_list_request.__local.properties.body.__schema16
next_cursor*string|null
total?|
Range0 <= value
request_id*string
curl -X GET 'https://example.com/v1/goals' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": [    {      "goal_id": "string",      "business_id": "string",      "room_id": "string",      "title": "string",      "description": "string",      "status": "active",      "accountable_user_id": "string",      "due_at": "2019-08-24T14:15:22Z",      "terminal_reason": "string",      "completed_at": "2019-08-24T14:15:22Z",      "canceled_at": "2019-08-24T14:15:22Z",      "created_by": {        "type": "user",        "id": "string"      },      "revision": 1,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string",  "total": 0,  "request_id": "string"}